com.dlsc.flexgantt.model.eventline

## Enum EventlineModelEvent.ID

- java.lang.Object
- - java.lang.Enum<EventlineModelEvent.ID>
  - - com.dlsc.flexgantt.model.eventline.EventlineModelEvent.ID

- All Implemented Interfaces:
    Serializable, Comparable<EventlineModelEvent.ID>
  Enclosing class:
    EventlineModelEvent

      public static enum EventlineModelEvent.ID
      extends Enum<EventlineModelEvent.ID>

  An enumeration of IDs for events issued by an `IEventlineModel`.
  Since:
    1.0
  See Also:
    `IEventlineModelListener`, `IEventlineModel.addEventlineModelListener(IEventlineModelListener)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EVENTLINE_OBJECT_TIME_SPAN_CHANGED` An ID for events fired by an `IEventlineModel` when the time span of objects (stored in the model) has changed.
    `EVENTLINE_OBJECTS_ADDED` An ID for events fired by an `IEventlineModel` when objects were added to the model.
    `EVENTLINE_OBJECTS_REMOVED` An ID for events fired by an `IEventlineModel` when objects were removed from the model.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventlineModelEvent.ID` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static EventlineModelEvent.ID[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EVENTLINE_OBJECTS_ADDED

          public static final EventlineModelEvent.ID EVENTLINE_OBJECTS_ADDED

      An ID for events fired by an `IEventlineModel` when objects were added to the model.
      Since:
        1.0

    - #### EVENTLINE_OBJECTS_REMOVED

          public static final EventlineModelEvent.ID EVENTLINE_OBJECTS_REMOVED

      An ID for events fired by an `IEventlineModel` when objects were removed from the model.
      Since:
        1.0

    - #### EVENTLINE_OBJECT_TIME_SPAN_CHANGED

          public static final EventlineModelEvent.ID EVENTLINE_OBJECT_TIME_SPAN_CHANGED

      An ID for events fired by an `IEventlineModel` when the time span of objects (stored in the model) has changed.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static EventlineModelEvent.ID[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventlineModelEvent.ID c : EventlineModelEvent.ID.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventlineModelEvent.ID valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.